<%= form_for @group, remote: :true do |f| %>
  <% if @group.errors.any? %>
    <ul class='errors'>
      <% @group.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
    </ul>
  <% end %>
  <div class="form-group">
    <div class="form-group col-md-12">
      <%= f.label :name %><br />
    	<%= f.text_field :name, class: 'form-control', placeholder: 'Group Name' %>
    </div>
    <div class="form-group col-md-12 mt-4">
      <%= f.label :description %><br />
    	<%= f.text_area :description, class: 'form-control', placeholder: 'What is the purpose of your group?' %>
    </div>
    <div class="form-group col-md-12 mt-4">
      <%= f.label :group_descoverability %><br />
    	<div class="form-check mt-2">
        <%= f.radio_button :visible, true, class: 'form-check-input', id: 'exampleRadios1', :checked => true %> 
			  <label class="form-check-label" for="exampleRadios1">
			    Listed (Group appears in search results and is visible to others on members’ profiles.)
			  </label>
			</div>
			<div class="form-check">
        <%= f.radio_button :visible, false, class: 'form-check-input', id: 'exampleRadios2' %> 
			  <label class="form-check-label" for="exampleRadios2">
			    Unlisted (Group does not appear in search results for non-group members and is not visible to others on members’ profiles.)
			  </label>
			</div>
    </div>
    <div class="form-group col-md-12 mt-4">
      <%= f.label :permissions %><br />
    	<div class="form-check mt-2">
        <%= f.radio_button :can_invite_connections, true, class: 'form-check-input', id: 'exampleRadios3', :checked => true %> 
			  <label class="form-check-label" for="exampleRadios3">
			    Allow members to invite their connections (If disabled, only admins will be able to invite 1st degree connections to the group. All requests to join will still require admin approval.
)
			  </label>
			</div>
			<div class="form-check">
        <%= f.radio_button :can_invite_connections, false, class: 'form-check-input', id: 'exampleRadios4' %> 
			  <label class="form-check-label" for="exampleRadios4">
			    Require new posts to be reviewed by admins (If disabled, any remaining pending posts will still require approval.)
			  </label>
			</div>
    </div>
  </div>
<% end %>



<!-- t.string "name"
    t.string "description"
    t.integer "user_id"
    t.boolean "visible"
    t.boolean "can_invite_connections"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["user_id"], name: "index_groups_on_user_id" -->